c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
c
      block data aqbdat
c
c-----ATDM v6.00
c
c     Block data for particulate/toxic chemical species
c
c-----95/03/03:
c     -from UAM-V Revision 1.2  94/02/10  20:50:24  tcm
c     -Major modifications specific to ATDM chemical species
c-----95/08/24:
c     -added data statement to initially zero kind
c-----95/09/28:
c     -changed names of some species to agree with emissions
c     -changed molwt for VOC from 60 to 16 (CH4)
c-----96/06/26:
c     -added O3 to gases for deposition calcs.  freact(0:mxgas),
c     -dratio(0:mxgas),..... where index 0 refers to O3
c-----96/09/10-96/09/19:dfg
c     -increased internal species list from 29 to 38: mspint and
c      molwt dimensions have increased to include species from Micro
c      CB4 mechanism.
c     -added array k0, dhor, kaq1, tkaq1, kaq2, tkaq2 for calculation
c      of surface deposition when Micro CB4 is specified. The species
c      order for these parameters are different from mspint.
c     -The species order for parameterized chemistry changed in order
c      to be consistent with new internal species order.  i.e. move 
c      VOC HNO3 ahead of SO2 NH3.  The order of related variables
c      (dratio,freact,ekh0.tdep,ek1d0,tdep1d,ek2d0,tdep2d) is also 
c      changed. 
c-----97/12/20:DFG
c     -Change NXOY in species name 'mspint' statement to NOXY.  This is
c      just the comment and it should not affect the program.
c-----98/03/09:DFG
c     -added species ISOP in MSPINT array.
c     -increased NSPINT from 38 to 39.
c     -added 0.0 to equilibrium parameters for ISOP (i.e. dratio,freact,
c      ekh0.tdep,ek1d0,tdep1d,ek2d0,tdep2d) -- no wet and dry deposition. 
c     -added molecular weight of ISOP = 80.
c-----98/03/20:DFG
c     -change ekh0 & tdep and k0 & dhor for SULF as those for HNO3.
c     -set kaq1 & ek1d0=1000. (previous it is for ekh0) for SULF.
c
      include 'parm.cmd'
      include 'parchm.cmd'
      include 'comchem.cmd'
      include 'com3.cmd'
      include 'aerosl.cmd'
c
      data kind /mxspec*0/
c
c     fnucl is the fraction of sulfate taken up by cloud droplet
c     nucleation.  Currently assumed to be 0.75 (Scott, JAM vol. 17, 1978)
c
      data fnucl /0.75/
c
c     define cpfac = 28.8/1293: the volume (m3) per mole of air
c     1293 is density of air in gm/m3 at STP (0 K, 1 atm)
c     28.8 is average molecular weight of air
c
      data cpfac /2.23e-2/
c
c     MSPINT must be ordered such that all gases are listed first, followed
c     by particlulates
c     MXGAS must be set to number of internal gas species
c     NSPINT must be set to total number of internal species
c
      data nspint /127/
      data mspint/ 'N','O',8*' ',                      ! NO
     &             'N','O','2','S',6*' ',              ! NO2S
     &             'O','3',8*' ',                      ! O3
     &             'N','O','2',7*' ',                  ! NO2
     &             'C','A','R','B',6*' ',              ! CARB
     &             'V','O','C',7*' ',                  ! VOC
     &             'P','N','A',7*' ',                  ! PNA
     &             'P','A','N',7*' ',                  ! PAN
     &             'C','O',8*' ',                      ! CO
     &             'H','N','O','2',6*' ',              ! HNO2
     &             'H','2','O','2',6*' ',              ! H2O2
     &             'H','N','O','3',6*' ',              ! HNO3
     &             'N','T','R',7*' ',                  ! NTR
     &             'S','O','2',7*' ',                  ! SO2
     &             'S','U','L','F',6*' ',              ! SULF
     &             'I','S','O','P',6*' ',              ! ISOP
     &             'T','E','R','P',6*' ',              ! TERP
     &             'S','V','1',7*' ',                  ! SV1
     &             'S','V','2',7*' ',                  ! SV2
     &             'S','V','3',7*' ',                  ! SV3
     &             'S','V','4',7*' ',                  ! SV4
     &             'N','H','3',7*' ',                  ! NH3
     &             'N','A','P','H',6*' ',              ! NAPH
     &             'P','O','M','1',6*' ',              ! POM1
     &             'P','O','M','2',6*' ',              ! POM2
     &             'H','G','0','-','1',5*' ',          ! HG0-1
     &             'H','G','0','-','2',5*' ',          ! HG0-2
     &             'H','G','0','-','3',5*' ',          ! HG0-3
     &             'H','G','0','-','4',5*' ',          ! HG0-4
     &             'H','G','0','-','5',5*' ',          ! HG0-5
     &             'H','G','0','-','6',5*' ',          ! HG0-6
     &             'H','G','0','-','7',5*' ',          ! HG0-7
     &             'H','G','0','-','8',5*' ',          ! HG0-8
     &             'H','G','0','-','9',5*' ',          ! HG0-9
     &             'H','G','0','-','1','0',4*' ',      ! HG0-10
     &             'H','G','0','-','1','1',4*' ',      ! HG0-11
     &             'H','G','0','-','1','2',4*' ',      ! HG0-12
     &             'H','G','0','-','1','3',4*' ',      ! HG0-13
     &             'H','G','0','-','1','4',4*' ',      ! HG0-14
     &             'H','G','0','-','1','5',4*' ',      ! HG0-15
     &             'H','G','0','-','1','6',4*' ',      ! HG0-16
     &             'H','G','0','-','1','7',4*' ',      ! HG0-17
     &             'H','G','0','-','1','8',4*' ',      ! HG0-18
     &             'H','G','0','-','1','9',4*' ',      ! HG0-19
     &             'H','G','0','-','2','0',4*' ',      ! HG0-20
     &             'H','G','0','-','2','1',4*' ',      ! HG0-21
     &             'H','G','0','-','2','2',4*' ',      ! HG0-22
     &             'H','G','0','-','2','3',4*' ',      ! HG0-23
     &             'H','G','0','-','2','4',4*' ',      ! HG0-24
     &             'H','G','2','-','1',5*' ',          ! HG2-1
     &             'H','G','2','-','2',5*' ',          ! HG2-2
     &             'H','G','2','-','3',5*' ',          ! HG2-3
     &             'H','G','2','-','4',5*' ',          ! HG2-4
     &             'H','G','2','-','5',5*' ',          ! HG2-5
     &             'H','G','2','-','6',5*' ',          ! HG2-6
     &             'H','G','2','-','7',5*' ',          ! HG2-7
     &             'H','G','2','-','8',5*' ',          ! HG2-8
     &             'H','G','2','-','9',5*' ',          ! HG2-9
     &             'H','G','2','-','1','0',4*' ',      ! HG2-10
     &             'H','G','2','-','1','1',4*' ',      ! HG2-11
     &             'H','G','2','-','1','2',4*' ',      ! HG2-12
     &             'H','G','2','-','1','3',4*' ',      ! HG2-13
     &             'H','G','2','-','1','4',4*' ',      ! HG2-14
     &             'H','G','2','-','1','5',4*' ',      ! HG2-15
     &             'H','G','2','-','1','6',4*' ',      ! HG2-16
     &             'H','G','2','-','1','7',4*' ',      ! HG2-17
     &             'H','G','2','-','1','8',4*' ',      ! HG2-18
     &             'H','G','2','-','1','9',4*' ',      ! HG2-19
     &             'H','G','2','-','2','0',4*' ',      ! HG2-20
     &             'H','G','2','-','2','1',4*' ',      ! HG2-21
     &             'H','G','2','-','2','2',4*' ',      ! HG2-22
     &             'H','G','2','-','2','3',4*' ',      ! HG2-23
     &             'H','G','2','-','2','4',4*' ',      ! HG2-24
     &             'D','I','O','X','I','N',4*' ',      ! DIOXIN
     &             'A','T','R','A','Z',5*' ',          ! ATRAZ
     &             'P','N','O','3',6*' ',              ! PNO3
     &             'G','S','O','4',6*' ',              ! GSO4
     &             'A','S','O','4',6*' ',              ! ASO4
     &             'N','H','4','N',6*' ',              ! NH4N
     &             'N','H','4','S',6*' ',              ! NH4S
     &             'S','O','A',7*' ',                  ! SOA
     &             'P','O','A',7*' ',                  ! POA
     &             'S','O','A','1',6*' ',              ! SOA1
     &             'S','O','A','2',6*' ',              ! SOA2
     &             'S','O','A','3',6*' ',              ! SOA3
     &             'S','O','A','4',6*' ',              ! SOA4
     &             'P','E','C',7*' ',                  ! PEC
     &             'P','M','F','I','N','E',4*' ',      ! PMFINE
     &             'P','M','C','O','A','R','S',3*' ',  ! PMCOARS
     &             'H','G','P','-','1',5*' ',          ! HGP-1
     &             'H','G','P','-','2',5*' ',          ! HGP-2
     &             'H','G','P','-','3',5*' ',          ! HGP-3
     &             'H','G','P','-','4',5*' ',          ! HGP-4
     &             'H','G','P','-','5',5*' ',          ! HGP-5
     &             'H','G','P','-','6',5*' ',          ! HGP-6
     &             'H','G','P','-','7',5*' ',          ! HGP-7
     &             'H','G','P','-','8',5*' ',          ! HGP-8
     &             'H','G','P','-','9',5*' ',          ! HGP-9
     &             'H','G','P','-','1','0',4*' ',      ! HGP-10
     &             'H','G','P','-','1','1',4*' ',      ! HGP-11
     &             'H','G','P','-','1','2',4*' ',      ! HGP-12
     &             'H','G','P','-','1','3',4*' ',      ! HGP-13
     &             'H','G','P','-','1','4',4*' ',      ! HGP-14
     &             'H','G','P','-','1','5',4*' ',      ! HGP-15
     &             'H','G','P','-','1','6',4*' ',      ! HGP-16
     &             'H','G','P','-','1','7',4*' ',      ! HGP-17
     &             'H','G','P','-','1','8',4*' ',      ! HGP-18
     &             'H','G','P','-','1','9',4*' ',      ! HGP-19
     &             'H','G','P','-','2','0',4*' ',      ! HGP-20
     &             'H','G','P','-','2','1',4*' ',      ! HGP-21
     &             'H','G','P','-','2','2',4*' ',      ! HGP-22
     &             'H','G','P','-','2','3',4*' ',      ! HGP-23
     &             'H','G','P','-','2','4',4*' ',      ! HGP-24
     &             'C','D','-','1',6*' ',              ! CD-1
     &             'C','D','-','2',6*' ',              ! CD-2
     &             'C','D','-','3',6*' ',              ! CD-3
     &             'C','D','-','4',6*' ',              ! CD-4
     &             'C','D','-','5',6*' ',              ! CD-5
     &             'C','D','-','6',6*' ',              ! CD-6
     &             'C','D','-','7',6*' ',              ! CD-7
     &             'C','D','-','8',6*' ',              ! CD-8
     &             'C','D','-','9',6*' ',              ! CD-9
     &             'C','D','-','1','0',5*' ',          ! CD-10
     &             'P','O','M','1','P',5*' ',          ! POM1P
     &             'P','O','M','2','P',5*' ',          ! POM2P
     &             'D','I','O','X','P',5*' ',          ! DIOXP
     &             'A','T','R','A','Z','P',4*' ',      ! ATRAZP
     &             10*' '/
c
c    MSPM is the subset of MSPINT that is required for PM chemistry
c
      data nspm  /11/
      data mspm  / 'N','O',8*' ',                      ! NO
     &             'N','O','2',7*' ',                  ! NO2
     &             'V','O','C',7*' ',                  ! VOC
     &             'H','N','O','3',6*' ',              ! HNO3
     &             'S','O','2',7*' ',                  ! SO2
     &             'N','H','3',7*' ',                  ! NH3
     &             'P','N','O','3',6*' ',              ! PNO3
     &             'G','S','O','4',6*' ',              ! GSO4
     &             'A','S','O','4',6*' ',              ! ASO4
     &             'N','H','4','N',6*' ',              ! NH4N
     &             'N','H','4','S',6*' ',              ! NH4S
     &             1170*' '/
c
c  molwt is molecular weight of each species in MSPINT list
c  values of 1.0 are given to inert particulate species
c
c  ---- old species order -------
c            NO  NO2    SO2   NH3   VOC   HNO3 NAPH POM1 POM2
c           HG0 HG2G DIOXIN ATRAZ
c          PNO3 GSO4   ASO4  NH4N  NH4S    SOA  POA  PEC PFIN PCRS
c          HG2P   CD  POM1P POM2P DIOXP ATRAZP
c  ---- New species order --------
c     NO    NO2   O3    CARB  VOC   PAN   CO    
c     HNO2  H2O2  HNO3  NTR   SO2   SULF  ISOP  NH3  
c     NAPH  POM1  POM2  HG0   HG2G  DIOX  ATRAZ 
c     PNO3  GSO4  ASO4  NH4N  NH4S  SOA   POA   PEC   
c     PFIN  PCRS  HG2P  CD    POM1P POM2P DIOXP ATRAZP
c
      data molwt/ 30., 46., 48., 46., 30., 16., 79., 121., 28.,
     &            47., 34., 63., 77., 64., 98., 80., 160., 
     &           136.,136.,168.,168., 17.,128.,178.,252.,
     &           201.,201.,201.,201.,201.,201.,201.,201.,201.,201.,
     &           201.,201.,201.,201.,201.,201.,201.,201.,201.,201.,
     &           201.,201.,201.,201.,
     &           201.,201.,201.,201.,201.,201.,201.,201.,201.,201.,
     &           201.,201.,201.,201.,201.,201.,201.,201.,201.,201.,
     &           201.,201.,201.,201.,
     &           322.,216., 
     &            62., 96., 96., 18., 18.,  1.,  1.,  136.,136.,
     &           168.,168.,  1.,  1.,  1.,
     &           201.,201.,201.,201.,201.,201.,201.,201.,201.,201.,
     &           201.,201.,201.,201.,201.,201.,201.,201.,201.,201.,
     &           201.,201.,201.,201.,
     &           112.,112.,112.,112.,112.,112.,112.,112.,112.,112.,
     &           178.,252.,322.,216.,0./ 
c
c    We use molecular weight for ISOP = 80 for consistent with
c    emission process.  ISOP actual MW=68.
c    Regarding ISOP, this should not be a problem.
c
c  dratio(i) = diffusivity(h2o)/diffusivity(i)
c  calculated using molecular weights: SQRT(Mi/Mh2o)
c  (species order as in MSPINT above, needed only for gas species)
c
c  here, VOC and HNO3 are moved ahead of SO2 and NH3.
c   VOC use 1.83 instead 0.97 for mlow=16.
c
c  ---- New species order --------
c       (starting with species 1, 0th species is O3, same as
c        species 3)
c       (For diffusion purposes, Hg2 is treated as HgCl2)
c     NO    NO2   O3    CARB  VOC   PAN   CO    
c     HNO2  H2O2  HNO3  NTR   SO2   SULF  ISOP  NH3  
c     NAPH  POM1  POM2  HG0-1 thru 14  HG2-1 thru 14  DIOX  ATRAZ 
c
c     PNO3  GSO4  ASO4  NH4N  NH4S  SOA   POA   PEC   
c     PFIN  PCRS  HG2P  CD    POM1P POM2P DIOXP ATRAZP
c
      data dratio/1.63,
     &            1.29,1.60,1.63,1.60,1.29,1.83,2.1,2.59,1.25,1.62,1.37,
     &            1.87,2.07,1.89,2.33,0.0 ,2.98,2.98,2.98,2.98,2.98,
     &            0.97,2.67,3.14,3.74,
     &            3.34,3.34,3.34,3.34,3.34,3.34,3.34,3.34,3.34,3.34,
     &            3.34,3.34,3.34,3.34,3.34,3.34,3.34,3.34,3.34,3.34,
     &            3.34,3.34,3.34,3.34,
     &            3.88,3.88,3.88,3.88,3.88,3.88,3.88,3.88,3.88,3.88,
     &            3.88,3.88,3.88,3.88,3.88,3.88,3.88,3.88,3.88,3.88,
     &            3.88,3.88,3.88,3.88,
     &            4.23,3.46/
c
c  freact is a reactivity parameter 
c  (species order as in MSPINT above, needed only for gas species)
c
      data freact/1.0, 
     &            0.0, 0.1, 1.0, 0.1, 0.0, 0.0, 0.0, 0.1, 0.0, 0.1, 0.0,
     &            0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
     &            0.0, 0.0, 0.0,
     &            0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
     &            0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
     &            0.0, 0.0, 0.0, 0.0,
     &            0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
     &            0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
     &            0.0, 0.0, 0.0, 0.0,
     &            0.0, 0.0/
c
c  Equilibrium constants (ekh0,ek1d0,ek2d0) and temperature dependence 
c  factors (tdep, tdep1d, tdep2d) for 22 gaseous species at 298 K:
c  (species order as in MSPINT above)
c
c***DFG change ekh0 for H2O2 from 0.71E+05 to 9.7E+04 (no.10)
c              tdep for H2O2 from 6800 to 6600 (no.10)
c
c***GEM change ekh0 for ATRAZ from 0.33E+06 to 0.275E+05 (no.22)
c
c***DFG for SULF (no.14), ekho and tdep are the same as 
c       those for HNO3(no. 11).
c       for ionization K1d, it is 1000. from SYSAPP-91/045b. 
c  (3/20/98)
c
      data ekh0/0.113E-01,
     &          0.193E-02,0.640E-02,0.113E-01,0.640E-02,0.300E+04,
     &          0.210E+03,0.000E+00,                                 
     &          0.290E+01,0.000E+00,0.490E+02,0.970E+05,
     &          0.198E+06,0.000E+00,0.123E+01,0.198E+06,0.0,
     &          0.000E+00,3.500E+03,3.500E+03,3.500E+03,3.500E+03,
     &          0.750E+02,0.240E+01,0.980E+02,0.660E+03,
     &          0.112E+00,0.112E+00,0.112E+00,0.112E+00,0.112E+00,  !Hg0
     &          0.112E+00,0.112E+00,0.112E+00,0.112E+00,0.112E+00,
     &          0.112E+00,0.112E+00,0.112E+00,0.112E+00,0.112E+00,
     &          0.112E+00,0.112E+00,0.112E+00,0.112E+00,0.112E+00,
     &          0.112E+00,0.112E+00,0.112E+00,0.112E+00,
     &          0.140E+07,0.140E+07,0.140E+07,0.140E+07,0.140E+07,  !Hg2
     &          0.140E+07,0.140E+07,0.140E+07,0.140E+07,0.140E+07,
     &          0.140E+07,0.140E+07,0.140E+07,0.140E+07,0.140E+07,
     &          0.140E+07,0.140E+07,0.140E+07,0.140E+07,0.140E+07,
     &          0.140E+07,0.140E+07,0.140E+07,0.140E+07,
     &          0.110E+03,0.275E+05/
      data tdep/-2300.,
     &          -1480., -2500., -2300., -2500., -6500., -7180., 0., 
     &          -5910.,     0., -4800., -6600., 
     &          -8650.,     0., -3020., -8650.,     0.,
     &              0., -5740., -5740., -5740., -5740.,
     &          -3400., -6100., -4800., -3800.,
     &          -5300., -5300., -5300., -5300., -5300.,        !Hg0
     &          -5300., -5300., -5300., -5300., -5300.,
     &          -5300., -5300., -5300., -5300., -5300.,
     &          -5300., -5300., -5300., -5300., -5300.,
     &          -5300., -5300., -5300., -5300.,
     &          -4000., -4000., -4000., -4000., -4000.,        !Hg2
     &          -4000., -4000., -4000., -4000., -4000.,
     &          -4000., -4000., -4000., -4000., -4000.,
     &          -4000., -4000., -4000., -4000., -4000.,
     &           -4000, -4000., -4000., -4000.,
     &          -4000., -4000. /     
      data ek1d0 /0.,10*0.,0.22e-11,1.54e+1,0.,1.23e-2,1000.,
     &            0.,0.,0.,0.,0.,0.,1.75e-5,53*0./
      data tdep1d /0.,10*0.,3730.,0.,0.,-1960.,0.,0.,0.,0.,0.,0.,0.,
     &             450.,53*0./
      data ek2d0  /0.,13*0., 6.60e-8,61*0./ 
      data tdep2d /0.,13*0., -1500.,61*0./ 
c***
c   The following data array is only used when Micro CB4 Mechanism 
c   is specified.  k0 is arrary of aqueous-phase equalibrium constant 
c   at 298K,  dhor is array of values for -deltH/R. 
c   The order of equlibrium reaction is as shown in subroutine 
c   micsurf which is to calculate dry deposition for Micro CB4 species
c   and PM species (32 in total).
c         SO2       O3        H2O2      HNO3      HNO2   
c         NO2       NO        CO2       NH3       PAN    
c         HCHO      HCOOH     HCL       MHP       PAA    
c         OH        HO2       HNO4      MGLY      CRES   
c         MEOH      ALD2      OPEN    
c         VOC       NAPH      POM1      POM2      HG0    
c         HG2G      DIOXIN    ATRAZ     SULF 
c
c*** use 1.98E+5 for HNO3 for consistence with data block
c    7/15/97, dfg
c
c***DFG change k0 for H2O2 from 7.1E+04 to 9.7E+04 (no.3)
c              dhor for H2O2 from 6800 to 6600 (no.3)
c
c***GEM change ekh0 for ATRAZ from 0.33E+06 to 0.275E+05 (no.31)
c
      data
     &  k0 /1.23   , 1.13E-2, 9.70E+4, 1.98E+5, 4.90E+1,
     &      6.40E-3, 1.90E-3, 3.40E-2, 7.50E+1, 2.90   ,
     &      3.00E+3, 3.50E+3, 2.05E+6, 2.20E+2, 4.70E+2,
     &      25.    , 2.E+3  , 2.E+4  , 3.7E+3 , 1.2E+3 ,
     &      2.2E+2 , 15.    , 3.E+3  ,
     &      2.10e+2, 2.40e+0, 9.80e+1, 6.60e+2, 
     &      1.12e-1,                                      !Hg0
     &      1.40e+6,                                      !Hg2
     &      1.10e+2, 2.75e+4, 1.98e+5/
      data
     &  dhor / -3020., -2300., -6600., -8650., -4800.,
     &         -2500., -1480., -2420., -3400., -5910.,
     &         -6500., -5740., -2020., -5600., -6150.,
     &         -5250., -6600., -1500., -7500., -6000.,
     &         -4900., -6500., -7500.,
     &         -7180., -6100., -4800., -3800., 
     &         -5300.,                                    !Hg0
     &         -4000.,                                    !Hg2
     &         -4000., -4000., -8650./
c
      data kaq1/1.23e-2,0.,2.2e-12,1.54e+1,0.,0.,0.,0.,1.75e-5,
     &          22*0.,1000./
      data tkaq1/-1960.,0.,3730.,  0.,     0.,0.,0.,0.,   450.,23*0./
      data kaq2/6.60e-8,31*0./
      data tkaq2/-1500.,31*0./
      data lmap/mxgas*0/
c
c  radical index
c
      data krads/1,2,3,4,5,6,7,8,9,10/
c
      end
