c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine chkdat(idate,errflg)
c
c-----ATDM v1.00
c
c     Checks calender and Julian dates for proper format
c
c-----95/06/01:
c     -from UAM-V Revision 1.2  94/02/10  20:53:53  tcm
c
c     Input arguments:
c               idate:          model date   
c     Output arguments:
c               errflg:         error flag 
c     Files written:
c               8:              diagnostic file
c     Routines called:
c               jtocal
c     Called by:
c               diagn
c
      logical errflg
c
      if(idate.gt.1.0e+06) go to 99
c
      if (idate .lt. 99999) then
         call jtocal(idate,ildat)
      else
         ildat = idate
      endif
c
      iday=mod(ildat,100)
      imonth=mod(ildat/100,100)
      iyear=ildat/10000
      if((iday.lt.1).or.(iday.gt.31)) go to 99
      if((imonth.lt.1).or.(imonth.gt.12)) go to 99
      if((iyear.gt.99)) go to 99
c
      return
c
   99 write(8,101) idate
      write(8,102) 
  101 format(5x,'input date = ',i10,/,'date should be a 6 ',
     &   'digit integer: year-month-day',/
     &   'e.g. November 18, 1980 = 801118')
  102 format(5x,'or date should be a 5 ',
     &   'digit Julian date: yyddd',/
     &   'e.g. nOvember 18, 1980 = 80323')
      errflg=.true.
      return
      end
