c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine chksig(ifget,nzg,sigcrs,ifine,nzf,sigfin)
c
c-----ATDM v1.00
c
c     Maps a fine grid's layer structure relative to the next coarsest grid's
c     layer structure. Based on CKHGT.F, UAM-V Revision 1.4  94/07/27
c
c-----95/06/23:
c     C Emery SAI
c     -drastically simplified to check sigma levels rather than layer 
c      interface heights
c     -now called by SETUP after RVMMAP
c     -argument list substantially reduced
c
c     Input parameters: 
c               ifget:          index of coarser grid      
c               nzg:            number of layers (coarse)
c               sigcrs:         sigma structure of coarser grid
c               ifine:          index of fine grid
c               nzf:            number of layers (fine)
c               sigfin:         sigma structure of finer grid
c     Files written:
c               6:              standard output file unit (*)
c     Called by:
c               setup
c
      include 'parm.cmd'
      include 'parfin.cmd'
      include 'deffin.cmd'
c
      dimension sigfin(nzf+1)
      dimension sigcrs(nzg+1)
c
      do 60 k = 1,nzg
        kvmap(k,ifine) = 0
        do 50 kf = 1,nzf 
          if (abs(sigcrs(k+1)-sigfin(kf+1)).lt.0.001) then
            kvmap(k,ifine) = kf
            go to 60
          endif 
   50   continue
c
        if (kvmap(k,ifine).eq.0) then
          write(*,*)'error! No match found for coarse grid layer height'
          write(*,*)'Grid #',ifget
          write(*,*)'coarse k,sigma: ',k,sigcrs(k+1)
          write(*,*)'Grid #',ifine
          write(*,*)'fine sigmaf: ',(sigfin(kf+1),kf=1,nzf)
          stop
        endif
   60 continue
c
      return 
      end
