c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine dec (n,nd,a,ip,ier)
c
c    ATDM
c    96/09/19:dfg
c    -from UAM-V Revision 1.2  94/02/10  20:54:26  tcm
c
c     routine performs matrix decomposition
c
      dimension a(nd,n), ip(n)
c
      l=n
      ier=0
      ip(l)=1
      if (l.eq.1) go to 30
      nm1=l-1
      do 25 k=1,nm1
        k1=k+1
        m=k
        do 5 i=k1,l
          if (abs(a(i,k)).gt.abs(a(m,k))) m=i
    5   continue
        ip(k)=m
        t=a(m,k)
        if (m.eq.k) go to 10
        ip(l)=-ip(l)
        a(m,k)=a(k,k)
        a(k,k)=t
   10   if (t.eq.0.) then
          ier=k
          ip(l)=0
          return
	endif
        t=1./t
        do 15 i=k1,l
          a(i,k)=-a(i,k)*t
   15   continue
        do 21 j=k1,l
          t=a(m,j)
          a(m,j)=a(k,j)
          a(k,j)=t
          if (t.eq.0.) go to 21
          do 20 i=k1,l
            a(i,j)=a(i,j)+a(i,k)*t
   20     continue
   21   continue
   25 continue
   30 k=l
      if (a(l,l).eq.0.) then
        ier=k
        ip(l)=0
        return
      endif
c
      return
      end
c
      subroutine sol (l,nd,a,b,j)
c
c     ATDM
c     96/09/19:dfg
c     -from UAM-V Revision 1.2  94/02/10  21:00:31  tcm
c      *** (c) Copr. 1988  Systems Applications, Inc.  San Rafael, CA
c
c     *** Matrix solver
c
      dimension a(nd,l), b(l), j(l)
      n=l
c
      if (n.eq.1) go to 15
c
      do 5 k=2,n
        m=j(k-1)
        c=b(m)
        b(m)=b(k-1)
        b(k-1)=c
        do 4 i=k,n
          b(i)=b(i)+a(i,k-1)*c
    4   continue
    5 continue
c
      k=n
c
      do 10 kb=2,n
        b(k)=b(k)/a(k,k)
        c=b(k)
        k=k-1
        do 9 i=1,k
          b(i)=b(i)-a(i,k+1)*c
    9   continue
   10 continue
c
   15 b(1)=b(1)/a(1,1)
c
      return
      end
