c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
c
c     DEFFIN.CMD
c
c-----ATDM v1.00
c
c     Defines the number of fine grids and attributes of each
c
c-----95/04/05:
c     -from UAM-V Revision 1.2  94/02/10  21:04:05  tcm
c     -added IFDEP
c     -major modifications for ATDM
c-----99/03/22:dfg
c     -added a common 'dfgradf' for radical calculateions.
c
c     The attributes are:
c
c      ixfb, ixfe - first and last x cell of coarse grid
c                   to be divided into fine grid cells
c
c      jyfb, jyfe - first and last y cell of coasre grid 
c                   to be divided into fine grid cells
c
c      nhf, nvf   - number of fine grid cells per coarse
c                   grid cell horizontally and vertically
c
c      nfx, nfy   - number of cells in x and y direction in fine
c                   grid
c
c      nfz        - number of layers in fine grid
c
c      kvmap      - correspondence of fine grid layers with 
c                   layers in grid surrounding it
c
c      delfx, delfy - cell size in x and y dircetions
c
c      tphioaf    - tangent(phi)/earth's radius forfin grids
c   
c      ff0, ff1   - arrays of interpolation factors
c
c      ifavg, ifinst - output unit numbers for average and inst concs
c
c      ifwind - fine grid input units for wind
c
c      ifkv   - fine grid input units for kv
c
c      ifprs  - fine grid input units for prs
c
c      ifo3   - fine grid input units for ozone
c
c      ifaem1,2,3 - fine grid input units for weekday, saturday,
c                   and sunday emissions
c
c      ifgptr - points to fine grid number in which this grid
c               is nested (if 0, then this grid is only within
c               the coarse grid)
c
c      ifglvl - depth at which this grid is nested (1 means within
c               coarse grid only, 2 is within one other fine grid,
c               3 is within a fine grid which is within another
c               fine grid and so forth.)
c
c      ndfcom - number of sub-steps completed on this fine grid
c
c      ndftot - total number of sub-steps needed to complete a
c               coarse grid step on this fine grid
c
c      ndfmax - maximum number of sub-steps to take on this pass
c
c      deltf  - size of the sub-step on this grid
c
      common /deffin/ numfin, ixfb(maxfin), ixfe(maxfin), 
     &                jyfb(maxfin), jyfe(maxfin), 
     &                nhf(maxfin), nvf(maxfin),
     &                nfx(maxfin), nfy(maxfin),
     &                nfz(maxfin), kvmap(mxfz,maxfin),
     &                delfx(mxfy,maxfin), delfy(maxfin),
     &                tphioaf(mxfy,maxfin),
     &                ff0(maxdiv), ff1(maxdiv),
     &                ifavg, ifdep, ifinst, ifwind(maxfin), 
     &                ifkv(maxfin), ifprs(maxfin), ifo3(maxfin),
     &                ifaem1(maxfin), ifaem2(maxfin), ifaem3(maxfin),
     &                ifaem(maxfin), ifsrf(maxfin),
     &                ifgptr(maxfin), ifglvl(maxfin), 
     &                ndfcom(maxfin), ndftot(maxfin), ndfmax(maxfin),
     &                deltf(maxfin), sigmaf(mxfz+1,maxfin)
     &               ,ndftots(maxfin),ndfmaxs(maxfin),ndfcoms(maxfin)
c
      common /dfgradf/radconf(10,maxfin,mxfxby*mxfz)
      common /fileoh/ifohf,io3f
