c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine falwc(clh2of,rnh2of,presf,temprf,nxf,nyf,nzf,flwch2or,fclwch2or)
c
c conversion of mass mixing ratio of cloud water into molar mixing ratio and 
c then into liquid water content (expressed in g/m3) to be used in rchem and 
c elsewhere
c
c
      wtair=28.97
      wth2o=18.0
c
c convert from mass mixing ratio into molar mixing ratio
c
      xmr = (wtair/wth2o)*(clh2of+rnh2of)
c
c
c convert cloud and rain water molar mixing ratio into h2o concentration in (g/m3)
      convfac = (presf*1.0e+3)/(1013.25*0.08206*temprf)
c
      flwch2or = xmr*convfac*wth2o
c
c clwch2o is given in (l-atm/mole) so that it can be used in wetdep program
c
      fclwch2or = clh2of*1.293e-3*presf/1013.25 * 273.*0.08206
c
c
      return
c
      end
