c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine fgavwr(iunit,nxf,nyf,nspd,nfspec,kavspc,avconf)
c
c-----ATDM v1.00
c
c     Writes time-averaged fine-grid concentrations to binary file
c
c-----95/03/31:
c     -from UAM-V Revision 1.2  94/02/10 20:54:59  tcm
c     -modifications made following UAM-V to correct vertical nesting code
c
c     Input arguments:
c               iunit:          fine grid average file unit number   
c               nxf:            number of fine grid cells in x-direction
c               nyf:            number of fine grid cells in x-direction
c               nspd:           maximum number of species
c               nfspec:         number of averaged species
c               kavspc:         array to map modeled species to averaged species
c               avconf:         average concentrations (ug/m3)
c     Files written:
c               iunit:          fine grid average file
c     Called by:
c               printr
c
      dimension kavspc(nspd)
      dimension avconf(nxf,nyf,nspd)
c
      do 100 l=1,nfspec
        linspc = kavspc(l)
        write(iunit) ((avconf(i,j,linspc),i=1,nxf),j=1,nyf)
  100 continue
      return
      end
