c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine mascal
c
c-----ATDM v1.00
c
c     Quick mass budget calculation
c
c-----95/06/07:
c     -from UAM-V Revision 1.2  94/02/10  20:58:15  tcm
c     -conversion now from ppm to moles
c-----95/06/23:
c     -revised mfac and vfac for use with sigma rather than height
c     -added data statements for grav and amolwt
c
c     Called by:
c               atdm
c
      include 'parm.cmd'
      include 'parchm.cmd'
      include 'parfin.cmd'
      include 'comuam.cmd'
      include 'comchem.cmd'
      include 'balanc.cmd'
c
      real mfac
      data grav /9.8/, amolwt /28.8/
c
      do 5534 l=1,nospec
        tmas(l) = 0.
        do 5533 k=1,nlayer
          do 5531 j=1,noy
            if (istr(j) .gt. nox) go to 5531
            do 5530 i=istr(j)+1,iend(j)-1
              if (j.le.jstr(i)) go to 5530
              if (j.ge.jend(i)) go to 5530
              dsigma = sigma(k) - sigma(k+1)
              vfac = 1.e6*deltax(j)*deltay*dsigma
              mfac = pstar(i,j)/(10.*grav*amolwt)
              tmas(l) = tmas(l) + conc(i,j,l,k)*vfac*mfac
 5530       continue
 5531     continue
 5533   continue
 5534 continue
      return
      end
