c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      function ndayad(ndate)
c
c-----ATDM v1.00
c
c     Adds 1 to the calendar date
c
c-----95/06/07:
c     -from UAM-V Revision 1.2  94/02/10  20:58:24  tcm
c
c     Input arguments:
c               ndate:          model date     
c     Output arguments:
c               ndayad:         new model date
c     Called by:
c               atdm
c    
      dimension  ntab(12)
      data  ntab / 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 /
c
      nyr=ndate/10000
      nmo=(ndate-nyr*10000)/100
      nday=ndate-nyr*10000-nmo*100
c
c     ***  add one to the day
c
      nday = nday + 1
      if (nday.le.ntab(nmo)) go to 20
c
c     ***  it must be a new month (unless it is leap year)
c
      if (nmo.ne.2) go to 10
      if (nday.eq.29 .and. mod(nyr,4).eq.0 .and. mod(nyr,100).ne.0)
     &      go to 20
c
c     ***  new month
c
   10 nday = 1
      nmo = nmo + 1
      if (nmo.le.12) go to 20
c
c     ***  happy new year
c
      nmo = 1
      nyr = nyr + 1
      nyr = mod (nyr, 100)
c
c     ***  set up new date
c
   20 ndayad=nday+100*nmo+10000*nyr
c
      return
      end
