c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine rdfkv(tfdata,ifdate,nxf,nyf,nzf,ifmun,fkv,fzs)
c
c-----ATDM v1.00
c
c     Reads one time interval of fine grid fkv file
c
c-----95/06/02:
c     -from UAM-V Revision 1.2  94/02/10  20:59:32  tcm
c     -removed conversion of kv from m2/s to cm2/s
c
c     Input arguments:
c               nxf:            number of fine grid cells in x-direction      
c               nyf:            number of fine grid cells in y-direction
c               nzf:            number of fine grid layers
c               ifmun:          fine grid kv file unit number
c               fzs:            array of fine grid layer interface heights (m)
c     Output arguments:
c               tfdata:         time from kv file
c               ifdate:         date from kv file
c               fkv:            fine grid kv (m2/s)
c     Called by:
c               update
c
      dimension fkv(nxf,nyf,nzf),fzs(nxf,nyf,nzf)
c
      do 55 k=1,nzf
        read(ifmun) tfdata, ifdate, ((fkv(i,j,k),i=1,nxf),j=1,nyf)
c
c-----Limit kv's to 0.4*(layer interface height)
c
        do 52 j = 1,nyf
          do 50 i = 1,nxf
            zzmx = 0.4*fzs(i,j,k)
            if (fkv(i,j,k).gt.zzmx) fkv(i,j,k) = zzmx
   50     continue
   52   continue
c
   55 continue
c
      return
      end
