c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine rdfo3(tfdata,ifdate,nxf,nyf,nzf,ifmun,aohconf,ah2o2f,aozonef,ano3conf,aho2conf)
c
c-----ATDM v1.00
c
c     Reads one time interval of fine grid ozone file
c
c-----95/04/20:
c     C Emery SAI
c
c     Input arguments:
c               nxf:            number of fine grid cells in x-direction   
c               nyf:            number of fine grid cells in y-direction
c               nzf:            number of fine grid layers
c               ifmun:          fine grid ozone file unit number
c     Output arguments:
c               tfdata:         time from ozone file        
c               ifdate:         date from ozone file
c               ozonef:         fine grid ozone (ppm)
c     Files read:
c               ifmun:          fine grid ozone file
c     Called by:
c               update 
c
      dimension ah2o2f(nxf,nyf,nzf),aozonef(nxf,nyf,nzf),aohconf(nxf,nyf,nzf)
      dimension ano3conf(nxf,nyf,nzf),aho2conf(nxf,nyf,nzf)
c
      do k=1,nzf
        read(ifmun) tfdata, ifdate, ((aohconf(i,j,k),i=1,nxf),j=1,nyf)
      end do
      do k=1,nzf
        read(ifmun) tfdata, ifdate, ((aho2conf(i,j,k),i=1,nxf),j=1,nyf)
      end do
      do k=1,nzf
        read(ifmun) tfdata, ifdate, ((ano3conf(i,j,k),i=1,nxf),j=1,nyf)
      end do
      do k=1,nzf
        read(ifmun) tfdata, ifdate, ((ah2o2f(i,j,k),i=1,nxf),j=1,nyf)
      end do
      do 55 k=1,nzf
        read(ifmun) tfdata, ifdate, ((aozonef(i,j,k),i=1,nxf),j=1,nyf)
   55 continue
c
      return
      end
