c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
c
      SUBROUTINE slowdr(NOSPEC,HH,HR,RATE)
      include 'parfin.cmd'
      INCLUDE  'parchm.cmd'
      INCLUDE  'comchem.cmd'
      INCLUDE  'comchem2.cmd'
      include  'kweight.cmd'
      DIMENSION  RATE(nors), HH(nors), HR(MXRADS)
c*************************************************
c     INPUT OF CONCENTRATION DATA -- PPM UNIT
c*************************************************
c
c  af to default value or aromatic fraction calculated from TOL and XYL
c
      if (aromf .ne. 0.) then
        af = aromf*1.18
      else
        af = afdef
      endif
c
      SO2  = 0.
      SULF = 0.
      NO = HH(KNO)
      NO2S = HH(KNO2S)
      O3 = HH(KO3)
      NO2 = HH(KNO2)
      CARB = HH(KCARB)
      VOC = HH(KVOC)
      PNA = HH(KPNA)
      PAN = HH(KPAN)
      CO = HH(KCO)
      HNO2 = HH(KHNO2)
      H2O2 = HH(KH2O2)
      HNO3 = HH(KHNO3)
      IF (LNTR) NTR = HH(KNTR)
      IF (LSO2) SO2 = HH(KSO2)
      IF (LSO2) SULF = HH(KSULF)
      ISOP = HH(KISOP)
      TERP = HH(KTERP)
      SV1 = HH(KSV1)
      SV2 = HH(KSV2)
      SV3 = HH(KSV3)
      SV4 = HH(KSV4)
      O1D = HR(KO1D)
      O = HR(KO)
      NO3 = HR(KNO3)
      N2O5 = HR(KN2O5)
      HO2 = HR(KHO2)
      OH = HR(KOH)
      C2O3 = HR(KC2O3)
      XO2 = HR(KXO2)
      XO2N = HR(KXO2N)
      ROR = HR(KROR)
c
c     *** zero out rate for state species. 
c 
       do 100 i=1,nospec
          rate(i) = 0. 
 100   continue
c
c      Calculating the rate for state species
c
      Sink =   - rk(3)*O3  - rk(6)*O  - rk(17)*NO3
     &   - rk(25)*NO  - rk(25)*NO  - rk(26)*NO2S*H2O
     &   - rk(27)*OH  - rk(37)*HO2  - rk(38)*XO2
     &   - rk(39)*XO2N  - rk(51)*C2O3
      Source = 1.*rk(1)*NO2S +1.*rk(4)*O*NO2S
     &  +.11*rk(16)*NO3 +1.*rk(18)*NO3*NO2S
     &  +1.*rk(28)*HNO2 +1.*rk(30)*HNO2*HNO2
     &  +.2*rk(73)*ISOP*NO2S
      Rate(kNO) = Source + Sink*NO
      Sink =   - rk(1)  - rk(4)*O  - rk(5)*O
     &   - rk(7)*O3  - rk(18)*NO3  - rk(19)*NO3
     &   - rk(26)*NO*H2O  - rk(31)*OH  - rk(32)*HO2
     &   - rk(52)*C2O3  - rk(61)*ROR  - rk(73)*ISOP
      Source = 1.*rk(3)*O3*NO +1.*rk(6)*O*NO
     &  +.89*rk(16)*NO3 +2.*rk(17)*NO3*NO
     &  +1.*rk(18)*NO3*NO2S +2.*rk(20)*NO3*NO3
     &  +1.*rk(21)*NO3*OH +1.*rk(24)*N2O5
     &  +2.*rk(25)*NO*NO +1.*rk(29)*OH*HNO2
     &  +1.*rk(30)*HNO2*HNO2 +1.*rk(33)*PNA
     &  +.61*rk(35)*PNA +1.*rk(37)*HO2*NO
     &  +1.*rk(38)*XO2*NO +1.*rk(51)*C2O3*NO
     &  +1.*rk(53)*PAN +1.*rk(63)*VOC*NO3
     &  +.2*rk(72)*ISOP*NO3 +.474*rk(77)*TERP*NO3
      Rate(kNO2S) = Source + Sink*NO2S
      Sink =   - rk(3)*NO  - rk(7)*NO2S  - rk(8)
     &   - rk(9)  - rk(12)*OH  - rk(13)*HO2
     &   - rk(62)*VOC  - rk(71)*ISOP  - rk(76)*TERP
      Source = 1.*rk(2)*O
      Rate(kO3) = Source + Sink*O3
      Sink = 0.
      Source = -1.*rk(1)*NO2S +1.*rk(3)*O3*NO
     &  +-1.*rk(4)*O*NO2S +1.*rk(6)*O*NO
     &  +-.11*rk(16)*NO3 +1.*rk(17)*NO3*NO
     &  +-1.*rk(18)*NO3*NO2S +-1.*rk(22)*NO3*HO2
     &  +-2.*rk(23)*N2O5*H2O +2.*rk(25)*NO*NO
     &  +-1.*rk(26)*NO*NO2S*H2O +1.*rk(29)*OH*HNO2
     &  +1.*rk(30)*HNO2*HNO2 +-1.*rk(31)*NO2S*OH
     &  +-1.*rk(32)*HO2*NO2S +1.*rk(33)*PNA
     &  +1.*rk(34)*OH*PNA +1.*rk(35)*PNA
     &  +1.*rk(36)*OH*HNO3 +1.*rk(37)*HO2*NO
     &  +1.*rk(38)*XO2*NO +-1.*rk(50)*CARB*NO3
     &  +1.*rk(51)*C2O3*NO +-1.*rk(52)*C2O3*NO2S
     &  +1.*rk(53)*PAN +-1.*rk(61)*ROR*NO2S
     &  +-.8*rk(72)*ISOP*NO3 +-1.*rk(73)*ISOP*NO2S
     &  +-.526*rk(77)*TERP*NO3
      Rate(kNO2) = Source + Sink*NO2
      Sink =   - rk(46)*OH  - rk(47)  - rk(48)
     &   - rk(49)*O  - rk(50)*NO3
      Source = 1.*rk(51)*C2O3*NO +2.*rk(54)*C2O3*C2O3
     &  +.79*rk(55)*C2O3*HO2 +1.*rk(57)*OH
     &  +.8*rk(58)*VOC*OH +1.1*rk(59)*ROR
     &  +1.*rk(62)*VOC*O3 +1.*rk(63)*VOC*NO3
     &  +1.*rk(64)*VOC*O +1.25*rk(69)*ISOP*O
     &  +1.54*rk(70)*ISOP*OH +1.4*rk(71)*ISOP*O3
     &  +1.*rk(72)*ISOP*NO3 +1.*rk(73)*ISOP*NO2S
     &  +.147*rk(74)*TERP*O +.75*rk(75)*TERP*OH
     &  +.441*rk(76)*TERP*O3 +.474*rk(77)*TERP*NO3
      Rate(kCARB) = Source + Sink*CARB
      Sink =   - rk(58)*OH  - rk(62)*O3  - rk(63)*NO3
     &   - rk(64)*O
      Source = 2.5*rk(69)*ISOP*O +2.74*rk(70)*ISOP*OH
     &  +2.45*rk(71)*ISOP*O3 +3.8*rk(72)*ISOP*NO3
     &  +3.8*rk(73)*ISOP*NO2S +5.3*rk(74)*TERP*O
     &  +2.1*rk(75)*TERP*OH +7.*rk(76)*TERP*O3
     &  +.5*rk(77)*TERP*NO3
      Rate(kVOC) = Source + Sink*VOC
      Sink =   - rk(33)  - rk(34)*OH  - rk(35)
      Source = 1.*rk(32)*HO2*NO2S
      Rate(kPNA) = Source + Sink*PNA
      Sink =   - rk(53)
      Source = 1.*rk(52)*C2O3*NO2S
      Rate(kPAN) = Source + Sink*PAN
      Sink =   - rk(45)*OH
      Source = .3*rk(46)*CARB*OH +1.*rk(47)*CARB
     &  +1.*rk(48)*CARB +1.*rk(49)*CARB*O
     &  +1.*rk(50)*CARB*NO3 +.4*rk(62)*VOC*O3
     &  +.5*rk(64)*VOC*O +.066*rk(71)*ISOP*O3
     &  +.001*rk(76)*TERP*O3
      Rate(kCO) = Source + Sink*CO
      Sink =   - rk(28)  - rk(29)*OH  - rk(30)*HNO2
     &   - rk(30)*HNO2
      Source = 2.*rk(26)*NO*NO2S*H2O +1.*rk(27)*NO*OH
      Rate(kHNO2) = Source + Sink*HNO2
      Sink =   - rk(43)  - rk(44)*OH
      Source = 1.*rk(34)*OH*PNA +1.*rk(41)*HO2*HO2
     &  +1.*rk(42)*HO2*HO2
      Rate(kH2O2) = Source + Sink*H2O2
      Sink =   - rk(36)*OH
      Source = 1.*rk(22)*NO3*HO2 +2.*rk(23)*N2O5*H2O
     &  +1.*rk(31)*NO2S*OH +1.*rk(50)*CARB*NO3
      Rate(kHNO3) = Source + Sink*HNO3
      Sink = 0.
      Source = 1.*rk(39)*XO2N*NO +1.*rk(61)*ROR*NO2S
     &  +.8*rk(72)*ISOP*NO3 +.8*rk(73)*ISOP*NO2S
     &  +.526*rk(77)*TERP*NO3
      if (LNTR) Rate(kNTR) = Source + Sink*NTR
      Sink =   - rk(65)*OH
      Source = 0.
      if (LSO2) Rate(kSO2) = Source + Sink*SO2
      Sink = 0.
      Source = 1.*rk(65)*OH*SO2
      if (LSO2) Rate(kSULF) = Source + Sink*SULF
      Sink =   - rk(69)*O  - rk(70)*OH  - rk(71)*O3
     &   - rk(72)*NO3  - rk(73)*NO2S
      Source = 0.
      Rate(kISOP) = Source + Sink*ISOP
      Sink =   - rk(74)*O  - rk(75)*OH  - rk(76)*O3
     &   - rk(77)*NO3
      Source = 0.
      Rate(kTERP) = Source + Sink*TERP
      Sink = 0.
      Source = 0.05*af*rk(58)*VOC*OH
      Rate(kSV1) = Source + Sink*SV1
      Sink = 0.
      Source = 0.162*af*rk(58)*VOC*OH
      Rate(kSV2) = Source + Sink*SV2
      Sink = 0.
      Source = 0.110681*rk(74)*TERP*O +0.063304*rk(75)*TERP*OH
     &  +0.109981*rk(76)*TERP*O3 +0.092287*rk(77)*TERP*NO3
      Rate(kSV3) = Source + Sink*SV3
      if (Source .gt. 0.) then
        wtk3(1) = 0.110681*rk(74)*TERP*O/Source
        wtk3(2) = 0.063304*rk(75)*TERP*OH/Source
        wtk3(3) = 0.109981*rk(76)*TERP*O3 /Source
        wtk3(4) = 0.092287*rk(77)*TERP*NO3/Source
      else
        do i=1,4
          wtk3(i) = 0.25
        enddo
      endif
      Sink = 0.
      Source = 0.417200*rk(74)*TERP*O +0.324763*rk(75)*TERP*OH
     &  +0.389277*rk(76)*TERP*O3 +0.395069*rk(77)*TERP*NO3
      Rate(kSV4) = Source + Sink*SV4
      if (Source .gt. 0.) then
        wtk4(1) = 0.417200*rk(74)*TERP*O /Source
        wtk4(2) = 0.324763*rk(75)*TERP*OH/Source
        wtk4(3) = 0.389277*rk(76)*TERP*O3 /Source
        wtk4(4) = 0.395069*rk(77)*TERP*NO3/Source
      else
        do i=1,4
          wtk4(i) = 0.25
        enddo
      endif
c
      RETURN
      END
