c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine titrat(tno,tno2,tno3,to3,temp)
c
c***
c 1999.4.6  dfg
c Changed the value of a3 because it is not right!!
c also for VB generatored chemistry solver, there is no NXOY,
c So, NO3 is passed to this routine. And NO3 is also being update here.
c
c
c     compute steady-state concentrations of no, no2, no3 and o3
c     only at night by mathematical titration
c
c     called by:
c                step4
c
c     routines called: none
c
c     warning: rk3 is wired here as 26.64 exp(-1370/t) 1/ppm min
c             rk15 is wired here as 44160             1/ppm min
c
      parameter (a3=26.64)
      parameter (r15=44160.)
      parameter (x3=-1370.)
c
c     dimension r(mxgrx),rx(rxgrx)
c
c     tno3 = amax1(1.e-15,(nxoy-no-no2))
      tno3 = amax1(1.e-15,tno3)

c     do we need to be here
c
      if (tno.le.1.e-15) go to 200
      if ((tno3+to3).le.2.e-9) go to 200
c
      r3 = a3*exp(x3/temp)
      ox = tno3 + to3
      if (ox.ge.tno) then
        frno3 = tno3*r15/(tno3*r15+to3*r3)
        fro3  = 1.-frno3
        dno3 = tno*frno3
        do3  = tno*fro3
        if ((tno3-dno3).ge.1.e-9) then
          if ((to3-do3).ge.1.e-9) go to 120
          do3  = to3-1.e-9
          dno3 = tno -do3
        else
          dno3 = tno3-1.e-9                                 
          do3  = tno-dno3                                   
        endif
  120   tno = 1.e-15
        to3 = amax1((to3-do3),1.e-9)
        tno3 = amax1((tno3-dno3),1.e-9)
        tno2 = tno2 + 2.*dno3 + do3
c
      else
        tno = amax1((tno-ox),1.e-15)       
        tno2 = tno2 + 2.*tno3 + to3          
        to3 = 1.e-9                       
        tno3 = 1.e-9                      
      endif
  200 return
      end
