c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine unchek
c
c-----ATDM v1.00
c
c     Checks for multiple use of same unit number
c
c-----95/02/22:
c     -from UAM-V Revision 1.2  94/02/10  21:02:17  tcm
c     -revised routine for I/O file units particular to ATDM
c     -added checks for fine grid ZP and SURFACE file units
c
c     Files written:
c               6:              standard output file unit (*)
c     Called by:
c               setup
c
      include 'parm.cmd'
      include 'parchm.cmd'
      include 'parfin.cmd'
      include 'comuam.cmd'
      include 'deffin.cmd'
c
      dimension junlst(80)
      logical lustop
      lustop = .false.
c
c   set junlst to units already used
c
      junlst(1) = 7
      junlst(2) = 98
      junlst(3) = 99
      junlst(4) = 66
      junlst(5) = 8
      junlst(6) = iuavg
      junlst(7) = 51
      junlst(8) = ifavg
      junlst(9) = ifinst
      junlst(10) = ichem
      junlst(11) = ioh1
      junlst(12) = ioh2
      junlst(13) = iwind
      junlst(14) = iprs
      junlst(15) = itemp
      junlst(16) = ih2o
      junlst(17) = isurf
      junlst(18) = iterr
      junlst(19) = edf
      junlst(20) = aem1
      if (aem2 .ne. aem1) then
        junlst(21) = aem2
      else
        junlst(21) = 0
      endif
      if (aem3 .ne. aem1) then
        junlst(22) = aem3
      else
        junlst(22) = 0
      endif
      junlst(23) = icbc
      junlst(24) = io3
      junlst(25) = irain
      junlst(26) = ikv
      junlst(27) = idepv 
c
c   standard input and output units (5 & 6 on unix)
c
      junlst(28) = 5
      junlst(29) = 6
      junlst(30) = iclh2o
      junlst(31) = irnh2o
      nfiles = 31
c
c   set one element of junlst equal to each unit used for a 
c   fine grid emissions, kv, wind, zp, or surf file
c
      do 50 ifine=1,numfin
        if (ifaem1(ifine) .gt. 0) then
          nfiles = nfiles + 1
          junlst(nfiles) = ifaem1(ifine)
        endif
        if (ifaem2(ifine) .gt. 0) then
          nfiles = nfiles + 1
          junlst(nfiles) = ifaem2(ifine)
        endif
        if (ifaem3(ifine) .gt. 0) then
          nfiles = nfiles + 1
          junlst(nfiles) = ifaem3(ifine)
        endif
        if (ifwind(ifine) .gt. 0) then
          nfiles = nfiles + 1
          junlst(nfiles) = ifwind(ifine)
        endif
        if (ifkv(ifine) .gt. 0) then
          nfiles = nfiles + 1
          junlst(nfiles) = ifkv(ifine)
        endif
        if (ifprs(ifine) .gt. 0) then
          nfiles = nfiles + 1
          junlst(nfiles) = ifprs(ifine)
        endif
        if (ifsrf(ifine) .gt. 0) then
          nfiles = nfiles + 1
          junlst(nfiles) = ifsrf(ifine)
        endif
        if (ifo3(ifine) .gt. 0) then
          nfiles = nfiles + 1
          junlst(nfiles) = ifo3(ifine)
        endif
   50 continue
c
c   check each unit value against every other except itself
c   its ok to be the same if they are zero.
c
      do 100 n=1,nfiles-1
        iu1 = junlst(n)
        do 90 nn=n+1,nfiles
          iu2 = junlst(nn)
          if (iu2 .ne. 0 .and. iu1 .ne. 0) then
            if (iu2 .eq. iu1) then
              write(*,'(a,i4,a)') 'error:  unit ',iu2, 
     &                ' is used twice.'
              lustop = .true.
            endif
          endif
   90   continue
  100 continue
c
c  stop if any conflicts
c
      if (lustop) then
        write(*,'(a)') 'stopping due to above conflicts'
        stop
      endif
c
      return
      end
