c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine vvgtu1
c
c-----ATDM v1.00
c
c     Sets up coefficients for converting geodetic to
c     rectifying latitude and conversely
c
c-----95/06/01:
c     -from Revision 1.2  94/02/10  21:02:37  tcm
c
c     a1-a4   coefficients for converting geoditic to rectifying latit
c     a5      false easting
c     a6      false northing
c     a8      scale factor at central meridian
c     a9      central meridian in seconds
c     a10     radius of sphere having great circle length equal to
c             spheroid meridian length
c     a11-a14 coefficients for converting rectifying latitude to
c             geodetic latitude
c     a15     semimajor axis of spheriod
c     a16     eccentricity squared
c
c     Called by:
c               maputg
c
      common /vvutm/ a(16)
      data ifrst/1/
c
c     *** compute coefficients on first pass only
c
      if (ifrst .ne. 1) return
      ifrst = 0
c
      a(5)=5.0e5
      a(6)=0.0
      a(7)=0.0
      a(8)=0.9996
c
c     *** clarke 1866 ellipsoid axes lengths
c
      a(15)=6378206.4
      b = 6356583.80
c
      a(16)= ((a(15)-b)/a(15))*((a(15)+b)/a(15))
      a(10)=(((a(16)*(7.0/3.2e1)+(5.0/1.6e1))*a(16)+0.5)*a(16)
     & +1.0)*a(16)*0.25
      a(1)=-(((a(10)*(1.95e2/6.4e1)+3.25)*a(10)+3.75)*a(10)+3.0)*
     & a(10)
      a(2)=(((1.455e3/3.2e1)*a(10)+(7.0e1/3.0))*a(10)+7.5)*a(10)**2
      a(3)=-((7.0e1/3.0)+a(10)*(9.45e2/8.0))*a(10)**3
      a(4)=(3.15e2/4.0)*a(10)**4
      a(11)=(((7.75-(6.57e2/6.4e1)*a(10))*a(10)-5.25)*a(10)+3.0)*
     & a(10)
      a(12)=(((5.045e3/3.2e1)*a(10)-(1.51e2/3.0))*a(10)+10.5)*
     & a(10)**2
      a(13)=((1.51e2/3.0)-(3.291e3/8.0)*a(10))*a(10)**3
      a(14)=(1.097e3/4.0)*a(10)**4
      fac=a(10)*a(10)
      a(10)=(((2.25e2/6.4e1)*fac+2.25)*fac+1.0)*(1.0-fac)*
     & (1.0-a(10))*a(15)
c
      return
      end
