c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine xmsprt(time,ndate,ifine)
c
c-----ATDM v1.00
c
c     Prints fine grid mass flux across region boundaries based 
c     on coarse grid data. 
c
c-----95/02/22:
c     -from UAM-V Revision 1.2  94/02/10  21:03:10  tcm
c     -removed output of PiG mass flux variables
c
c     Input arguments:
c               time:           model time      
c               ndate:          model date
c               ifine:          fine grid index
c     Files written:
c               8:              diagnostic file
c     Called by:
c               atdm
c
      include 'parm.cmd'
      include 'parchm.cmd'
      include 'parfin.cmd'
      include 'comuam.cmd'
      include 'balanc.cmd'
c
c  if we have reached an output time, print the mass fluxes and
c  reset them to zero.
c
c  add this interval's fluxes into cumulative arrays
c
      do 350 l=1,nospec
        do 340 n=1,2
          xtpflc(l,n,ifine) = xtpflc(l,n,ifine) + xtpflo(l,n,ifine)
          do 330 k=1,4
            xbcflc(l,n,k,ifine) = xbcflc(l,n,k,ifine) 
     &                            + xbcflo(l,n,k,ifine)
  330     continue
  340   continue
  350 continue
c
c  print mass flux summary (only for species to appear on average file)
c
      write(8,2000) ifine, time, ndate
      do 400 l=1,navspc,2
        linspc = kavspc(l)
        if (l .lt. navspc) lins2 = kavspc(l+1)
        if (l .eq. navspc) then
          write(8,2010) mavspc(l)
          fnet = xbcflo(linspc,1,1,ifine) - xbcflo(linspc,2,1,ifine)
          write(8,2020) xbcflo(linspc,1,1,ifine), feflo(linspc,ifine),
     &                xbcflo(linspc,2,1,ifine), fptflo(linspc,ifine),
     &                fnet, fdpflo(linspc,ifine)
          fnetw = xbcflo(linspc,1,4,ifine) - xbcflo(linspc,2,4,ifine)
          fnett = xtpflo(linspc,1,ifine) - xtpflo(linspc,2,ifine)
          fnete = xbcflo(linspc,1,3,ifine) - xbcflo(linspc,2,3,ifine)
          write(8,2030) xbcflo(linspc,1,4,ifine), 
     &                xtpflo(linspc,1,ifine), xbcflo(linspc,1,3,ifine),
     &                xbcflo(linspc,2,4,ifine),
     &                xtpflo(linspc,2,ifine), xbcflo(linspc,2,3,ifine),
     &                fnetw, fnett, fnete
          fnet = xbcflo(linspc,1,2,ifine) - xbcflo(linspc,2,2,ifine)
          write(8,2035) xbcflo(linspc,1,2,ifine),
     &                  xbcflo(linspc,2,2,ifine), 
     &                  xtmas(linspc,ifine), fnet
        else
          write(8,2110) mavspc(l), mavspc(l+1)
          fnet = xbcflo(linspc,1,1,ifine) - xbcflo(linspc,2,1,ifine)
          fnet2 = xbcflo(lins2,1,1,ifine) - xbcflo(lins2,2,1,ifine)
          write(8,2120) xbcflo(linspc,1,1,ifine), feflo(linspc,ifine),
     &          xbcflo(lins2,1,1,ifine), feflo(lins2,ifine),
     &          xbcflo(linspc,2,1,ifine), fptflo(linspc,ifine),
     &          xbcflo(lins2,2,1,ifine), fptflo(lins2,ifine),
     &          fnet, fdpflo(linspc,ifine), fnet2, fdpflo(lins2,ifine)
          fnetw = xbcflo(linspc,1,4,ifine) - xbcflo(linspc,2,4,ifine)
          fnett = xtpflo(linspc,1,ifine) - xtpflo(linspc,2,ifine)
          fnete = xbcflo(linspc,1,3,ifine) - xbcflo(linspc,2,3,ifine)
          fnetw2 = xbcflo(lins2,1,4,ifine) - xbcflo(lins2,2,4,ifine)
          fnett2 = xtpflo(lins2,1,ifine) - xtpflo(lins2,2,ifine)
          fnete2 = xbcflo(lins2,1,3,ifine) - xbcflo(lins2,2,3,ifine)
          write(8,2130) xbcflo(linspc,1,4,ifine), 
     &                xtpflo(linspc,1,ifine), xbcflo(linspc,1,3,ifine),
     &                xbcflo(lins2,1,4,ifine), 
     &                xtpflo(lins2,1,ifine), xbcflo(lins2,1,3,ifine),
     &                xbcflo(linspc,2,4,ifine),
     &                xtpflo(linspc,2,ifine), xbcflo(linspc,2,3,ifine),
     &                xbcflo(lins2,2,4,ifine),
     &                xtpflo(lins2,2,ifine), xbcflo(lins2,2,3,ifine),
     &                fnetw, fnett, fnete,
     &                fnetw2, fnett2, fnete2
          fnet = xbcflo(linspc,1,2,ifine) - xbcflo(linspc,2,2,ifine)
          fnet2 = xbcflo(lins2,1,2,ifine) - xbcflo(lins2,2,2,ifine)
          write(8,2135) xbcflo(linspc,1,2,ifine), 
     &          xbcflo(lins2,1,2,ifine),
     &          xbcflo(linspc,2,2,ifine), xtmas(linspc,ifine),
     &          xbcflo(lins2,2,2,ifine), xtmas(lins2,ifine),
     &          fnet, fnet2
        endif
        write(8,2040)
  400 continue
c
c  zero out flux arrays for next interval
c
      do 430 l=1,nospec
        do 420 n=1,2
          xtpflo(l,n,ifine) = 0.
          do 410 k=1,4
            xbcflo(l,n,k,ifine) = 0.
  410     continue
  420   continue
  430 continue
c
      return
c
c  formats
c
 2000 format(//,1x,'coarse grid mass cross flux summary in ',
     &       'moles for fine grid ',
     &       i2,' at ',f8.2,i8,':',/)
 2010 format(1x,'spec = ',a10,2x,'north')
 2020 format(13x,'in  ',1pe10.3,15x,'srf emiss ',e10.3,/,
     &       13x,'out ',e10.3,15x,'elv emiss ',e10.3,/,
     &       13x,'net ',e10.3,15x,'depostn   ',e10.3,/)
 2030 format(8x,'west',8x,'top',8x,'east',/,
     &       1x,'in  ',1pe10.3,2x,e10.3,2x,e10.3,/,
     &       1x,'out ',e10.3,2x,e10.3,2x,e10.3,/,
     &       1x,'net ',e10.3,2x,e10.3,2x,e10.3,//,
     &       20x,'south')
 2035 format(13x,'in  ',1pe10.3,/,
     &       13x,'out ',e10.3,15x,'tot mass  ',e10.3,/,
     &       13x,'net ',e10.3,e10.3,/)
 2040 format(1x,126(1h-))
 2110 format(1x,'spec = ',a10,2x,'north',38x,'| ','spec = ',
     &       a10,2x,'north')
 2120 format(13x,'in  ',1pe10.3,15x,'srf emiss ',e10.3,1x,'|',
     &       13x,'in  ',e10.3,15x,'srf emiss ',e10.3,/,
     &       13x,'out ',e10.3,15x,'elv emiss ',e10.3,1x,'|',
     &       13x,'out ',e10.3,15x,'elv emiss ',e10.3,/,
     &       13x,'net ',e10.3,15x,'depostn   ',e10.3,1x,'|',
     &       13x,'net ',e10.3,15x,'depostn   ',e10.3,/,63x,'|')
 2130 format(8x,'west',8x,'top',8x,'east',28x,'|',
     &       8x,'west',8x,'top',8x,'east',/,
     &       1x,'in  ',1pe10.3,2x,e10.3,2x,e10.3,24x,'|',
     &       1x,'in  ',e10.3,2x,e10.3,2x,e10.3,/,
     &       1x,'out ',e10.3,2x,e10.3,2x,e10.3,24x,'|',
     &       1x,'out ',e10.3,2x,e10.3,2x,e10.3,/,
     &       1x,'net ',e10.3,2x,e10.3,2x,e10.3,24x,'|',
     &       1x,'net ',e10.3,2x,e10.3,2x,e10.3,/,
     &       63x,'|',/,20x,'south',38x,'|',20x,'south')
 2135 format(13x,'in  ',1pe10.3,36x,'|',
     &       13x,'in  ',e10.3,/,
     &       13x,'out ',e10.3,15x,'tot mass  ',e10.3,1x,'|',
     &       13x,'out ',e10.3,15x,'tot mass  ',e10.3,/,
     &       13x,'net ',e10.3,36x,'|',
     &       13x,'net ',e10.3,/,63x,'|')
      end
