c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      real function xtime(t1,t2,m)
c
c-----ATDM v1.00
c
c     Performs arithmetic operations involving times in minutes and 
c     times based on a 2400 hour clock
c
c-----95/06/07:
c     -from UAM-V Revision 1.2  94/02/10  21:03:15  tcm
c
c     Input arguments:
c               t1:             first time  
c               t2:             second time
c               m:              operation flag
c     Output arguments:
c               xtime:          resultant time
c     Called by:
c               atdm
c
      go to (10,20,30),m
c
c     add a time in minutes to a 2400 hour time and return a 2400
c     hour time
c
   10 i100=t1/100.+1.e-10
      t3=t1 -100.0*i100 + t2
      i100=i100 + int(t3/60. + 1.e-10)
      xtime = i100*100.0 + t3 - 60.0*int(t3/60. + 1.e-10)
c
c     if time is extremely close to next integer hour, adjust it
c     to that hour.
c
      j100=100.*xtime
c 
c     if (mod(j100,10000).eq.5999) xtime=int(xtime+40.01)
c 
c     modified for pc version 6/5/87 (sai/rem)
c
      if (mod(j100,10000).ge.5901) xtime=int(xtime+40.99)
      return
c
c     subtract two 2400 hour times and return the result in minutes
c
   20 i100=t1/100.+1.e-10
      time=t1 - i100*40.0
      i100=t2/100.+1.e-10
      xtime = time - t2 + i100*40.0
      return
c
c     subtract a time in minutes from a 2400 hour time and return
c     a 2400 hour time
c
   30 if(t1-t2-int(t1/100.+1.e-10)*100.0.lt.0.0) go to 40
      xtime = t1 - t2
      return
   40 t2min=amod(t2,60.)
      it2hr=t2/60. + 1.e-5
      t1min=amod(t1,100.)
      it1hr=t1/100. + 1.e-5
      if(t1min.gt.t2min) xtime=100.*float(it1hr-it2hr)+t1min-t2min
      if(abs(t1min-t2min).lt.1.e-5) xtime=100.*float(it1hr-it2hr)+1.e-05
      if(t1min.lt.t2min) xtime=100.*float(it1hr-it2hr-1)+60.-t2min+t1min
      j100=100.*xtime
      if (mod(j100,10000).eq.5999) xtime=int(xtime+40.01)
c
      return
      end
